# -*- rpm-spec -*-
# $Id: diet-newt.spec,v 1.1.2.3 2005/07/08 08:31:11 mouse Exp $

%define diethome %_prefix/lib/dietlibc

Name: diet-newt
Version: 20050707
Release: alt1

Summary: A development library for text mode user interfaces.
License: LGPL
Group: Development/C
Url: ftp://ftp.redhat.com/pub/redhat/code/newt

Source: %name-%version.tar.bz2

BuildRequires: dietlibc diet-slang >= 20050707

%description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.

This package was built against dietlibc.

%prep
%setup -qc

%build
%__make

%install
for s in obj-*; do
    d=`echo $s | sed 's,obj-,lib-,'`
    %__mkdir_p %buildroot%diethome/$d
    %__install -p -m644 $s/libnewt.a %buildroot%diethome/$d/
done
%__mkdir_p %buildroot%diethome/include
%__install -p -m0644 newt.h %buildroot%diethome/include

%files
%diethome/lib-*/libnewt.a
%diethome/include/newt.h

%changelog
* Thu Jul 07 2005 Anton D. Kachalov <mouse@altlinux.org> 20050707-alt1
- multilib support

* Wed Oct 27 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041025-alt0.2
- packaged for %distribution
